//
//  BoosterKnowAboutScreen.swift
//
//
//  Created by Victor on 13/06/2024.
//

import SwiftUI

struct BoosterKnowAboutScreen: View {
    
    var body: some View {
        ScrollView(showsIndicators: false) {
            VStack(spacing: 16) {
                VStack(alignment: .leading, spacing: 8) {
                    SQText("Comment ça marche ?", size: 18, font: .bold)
                    SQText("L’option Booster s’active sur les catégories de votre abonnement Premier. Par exemple, vous êtes abonné Premier sur les catégories « Plomberie - Installation Sanitaire » et « Carrelage », votre profil remontera en tête de liste des résultats en lien avec la plomberie et le carrelage.")
                }
                VStack(alignment: .leading, spacing: 8) {
                    SQText("Vous pouvez choisir de remonter votre profil :", size: 18, font: .bold)
                    VStack(alignment: .leading, spacing: 16) {
                        SQText("• Tous les jours\n• 3 jours par semaine\n• 1 jour par semaine")
                        
                        SQText("Tous les jours", font: .demiBold)
                        VStack(spacing: 8) {
                            SQText("Cette option permet de remonter votre profil chaque jour dans les listes de résultats, à compter du lendemain de la souscription à l’option Booster, jusqu’à la résiliation de votre option.")
                            SQText("Exemple : vous souscrivez un dimanche à 15h00, votre option sera activée dès lundi à 00h00.", font: .mediumItalic)
                        }
                        .padding(.leading)
                        SQText("3 jours par semaine", font: .demiBold)
                        VStack(spacing: 8) {
                            SQText("Cette option permet de remonter votre profil 3 jours par semaine dans les listes de résultats, à compter du lendemain de la souscription à l’option Booster, jusqu’à la résiliation de votre option.")
                            SQText("Exemple : vous souscrivez un dimanche à 15h00, votre profil sera boosté le lundi, puis tous les deux jours.", font: .mediumItalic)
                        }
                        .padding(.leading)
                        SQText("1 jour par semaine", font: .demiBold)
                        VStack(spacing: 8) {
                            SQText("Cette option permet de remonter votre profil 1 jour par semaine dans les listes de résultats, à compter du lendemain de la souscription à l’option Booster, jusqu’à la résiliation de votre option.")
                            SQText("Exemple : vous souscrivez un dimanche à 15h00, votre profil sera boosté le lundi, puis tous les six jours.", font: .mediumItalic)
                        }
                        .padding(.leading)
                    }
                }
            }
        }
        .navigationBarBackButtonHidden(true)
        .toolbar {
            ToolbarItem(placement: .topBarLeading) {
                Button(action: {
                }, label: {
                    SQIcon(.chevron_left, size: .l)
                })
            }
            ToolbarItem(placement: .principal) {
                SQText("En savoir plus", size: 18, font: .bold)
            }
        }
        .padding(.horizontal)
    }
}

//#Preview {
//    BoosterKnowAboutScreen()
//}

#Preview {
    BoosterSubscriptionSelectionScreen()
}
